---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 7855981a-e7f4-5626-8b80-9ca6f03ed668
      tier: AATSR_CMP_MONTH
      value: 0.07688995450735092
    brdf:
      alpha_1:
        band_1: 0.1978128811272797
        band_11: 0.21350168716183596
        band_12: 0.059819531919441324
        band_2: 0.1978128811272797
        band_3: 0.36606432943053624
        band_4: 0.14010979273141602
        band_5: 0.14010979273141602
        band_6: 0.14010979273141602
        band_7: 0.5689695932737568
        band_8: 0.5689695932737568
        band_8a: 0.5689695932737568
      alpha_2:
        band_1: 0.242522433688554
        band_11: 0.22377051331107106
        band_12: 0.26477464850432536
        band_2: 0.242522433688554
        band_3: 0.22626617903645027
        band_4: 0.26011100921327707
        band_5: 0.26011100921327707
        band_6: 0.26011100921327707
        band_7: 0.1421566760575194
        band_8: 0.1421566760575194
        band_8a: 0.1421566760575194
      id:
      - 84a82e3a-374b-5d2e-9f2f-224ae493a9cf
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8d1a0236-36ea-52b5-ad07-386919ce9935
      tier: DEFINITIVE
      value: 0.29
    water_vapour:
      id:
      - f1502579-85ac-5f39-97c7-9771b21f5a50
      tier: DEFINITIVE
      value: 0.6599999904632569
  id: 357ca72e-f9c1-49ac-a6d8-aaa2d5c71ed0
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1938.4015060309691
      BAND-11: 235.98123568125288
      BAND-12: 80.70976193160577
      BAND-2: 1981.3405000521773
      BAND-3: 1855.2378345201673
      BAND-4: 1514.8021466069963
      BAND-5: 1398.3574361646138
      BAND-6: 1276.0052711820574
      BAND-7: 1168.1106559637965
      BAND-8: 1034.5607845438308
      BAND-8A: 943.4380603156902
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2016-09-21 01:18:14.577000Z
    atime: 2022-11-04 13:25:40Z
    ctime: 2018-05-11 01:01:08Z
    mtime: 2016-11-23 16:07:43Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2016/2016-09/20S130E-25S135E/S2A_OPER_PRD_MSIL1C_PDMC_19700101T000000_R088_V20160921T011722_20160921T011814.zip
  system_information:
    hostname: gadi-cpu-clx-0862.gadi.nci.org.au
    runtime_id: 2d32b6dc-5c44-11ed-8686-0000007ffe80
    time_processed: 2022-11-04 13:25:40.408408Z
    uname: 'Linux gadi-cpu-clx-0862.gadi.nci.org.au 4.18.0-372.26.1.el8.nci.x86_64
      #1 SMP Mon Sep 19 12:09:59 AEST 2022 x86_64'
gqa:
  colors:
    blue: 31.0
    green: 5767.0
    red: 13.0
    teal: 1280.0
    yellow: 16.0
  error_message: no errors
  final_qa_count: 6845
  granule: S2A_OPER_MSI_L1C_TL_SGS__20160921T061047_A006520_T53KKP_N02.04
  ref_date: '2014-09-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/077/LC81020772014244LGN00_B6.TIF
  residual:
    abs:
      x: 0.37
      xy: 0.42
      y: 0.2
    abs_iterative_mean:
      x: 0.34
      xy: 0.38
      y: 0.18
    cep90: 0.54
    iterative_mean:
      x: 0.34
      xy: 0.38
      y: 0.17
    iterative_stddev:
      x: 0.12
      xy: 0.17
      y: 0.12
    mean:
      x: 0.32
      xy: 0.37
      y: 0.18
    stddev:
      x: 0.67
      xy: 0.75
      y: 0.32
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.97498017591182
    cloud: 1.6589195125430902e-05
    cloud_shadow: 1.6589195125430902e-05
    snow: 0.0006469786098918053
    water: 0.024339667088032223
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
